Subject: [Healeys] BJ8 Horn/Signal light assembly question

From: Tom Felts <[email-masked]>
Date: Sun, 10 Jul 2016 19:29:35 -0400

So I was having signal light cancellation problems---so I removed the three set screws and backed out the assembly far enough to access the round metal disc. I rotated it until I got the cancellation that I liked.

My concern-------------------the assembly now does not fit flush to the steering wheel hub.  There is a noticable gap between it and the hub.  

I noticed that on the metal disc there is a 90 degree "foot" coming off of it.  Does this foot go in a special spot on the hub?  If so, that might answer why I have such a noticable gap.  

Even so, everything works as it should--horn blows, signal lights work and cancel--it is just the gap that bugs me.

Any hints?  Does your assembly fit flush up to the steering wheel hub?

Thanks
tom
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys